import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Robot here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Robot extends Actor
{
    //Allows counter related to Robot.class to count the kills Robot.class gets.     
    private Counter counter;
    public Robot (Counter pointCounter)
    {
        counter = pointCounter;
    }
    //Allows Robot to move and eat.
    public void act() 
    {
        int changeX = 0, changeY = 0;
        if (Greenfoot.isKeyDown("w")) 
        {
            changeY = changeY - 5; 
        }
        if (Greenfoot.isKeyDown("s")) 
        {
            changeY = changeY + 5; 
        }
        if (Greenfoot.isKeyDown("a")) 
        {
            changeX = changeX - 5; 
        }
        if (Greenfoot.isKeyDown("d")) 
        {
            changeX = changeX + 5; 
        }
        setLocation (getX() + changeX, getY() + changeY);
        eat();
    }
    /** Eat method; checks if robot collides with an alien, and if so, removes the alien from the world...
     *  ...along with increasing the robot counter by 1.
     */
    public void eat()
    {
        Actor alien;
        alien = getOneObjectAtOffset(0, 0, Alien.class);
        if (alien != null)
        {
            World world;
            world = getWorld();
            world.removeObject(alien);
            counter.add(1);
        }
    }
}
